import java.util.Scanner;
import java.io.File;

public class Utility{
	
	static String[][] forceFeatsConverts;
	static void readForceFeats(){
		try{
			Scanner in = new Scanner( new File("ForceFeats.txt") );
			int lines = Integer.parseInt(in.nextLine());
			forceFeatsConverts = new String[lines][2];
			for(int i = 0; i < forceFeatsConverts.length; i++){
				String temp = in.nextLine();
				int comma = temp.indexOf(',');
				forceFeatsConverts[i][0] = temp.substring(0, comma);
				forceFeatsConverts[i][1] = temp.substring(comma + 1);
			}	
		}catch(Exception e){}
	}
		
	public static String toD6(int a){
		return (a/3)+"D"+((a%3==0)?"":a%3);}
	
	public static int[] D6Values= {0,1,1,2,2,3,3,4,5,6 ,7 ,8 ,9 ,10,11,12,13,14};
	public static int[] D20Values={1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18};
	static int valueMatch(int a){
		if(a>18)
			return a-4;
		else
			for(int x=0; x<D20Values.length; x++)
				if(D20Values[x]==a)
					return D6Values[x];
		return 0;
	}
	
	public static char[] D6Ability={'D','S','P','K','M','T'};		
	static int abilityMatch(char a){
		for(int i = 0; i < D6Ability.length; i++)
			if(D6Ability[i] == a)
				return i;
		return -1;
	}
	
	public static String[] forceTypes = {"C", "S", "A", "CS", "CA", "SA", "CSA"};
	static int forceTypeMatch(String a){
		for(int i = 0; i < forceTypes.length; i++)
			if( forceTypes[i].equals(a) )
				return i;
		return -1;
	}
	
	static int getD20Modifier(int score){
		return (int) Math.floor( (score - 10) / 2.0 );
	}
		
		
			
}