import java.util.*;
public class Ability{
	private ArrayList<Skill> skills;
	private String name;
	private int ranks;
	private CCGUI parent;
	
	public Ability(String n, int r, CCGUI t){
		name=n;
		ranks=r;
		skills=new ArrayList <Skill>();
		parent=t;}
		
	public int getRanks(){
		return ranks;}
		
	public String getName(){
		return name;}
	
	public void changeRanks(int r){
		ranks+=r;
	}

//edit	a=skill, b=ranks, c=subskill, d=whether it's from a skill
	public void addSkill(String a, int b, String c,boolean d){
		if(c.equals("")){
			for(int x=0; x<skills.size(); x++){
				if(skills.get(x).getName().equals(a)){
					skills.get(x).changeRanks(b,d);
					return;
				}
			}
			Skill temp=new Skill(a,this,parent);
			temp.changeRanks(b,d);
			skills.add(temp);
		}else{
			for(int x=0; x<skills.size(); x++){
				if(skills.get(x).getName().equals(a)){
					skills.get(x).addSubskill(c,b,d);
					return;
				}
			}
			skills.add(new Skill(a,this,parent));
			skills.get(skills.size()-1).addSubskill(c,b,d);
		}
	}
	
	public String toString(){
		String a=getName()+": "+Utility.toD6(ranks)+"\n";
		for(int x=0; x<skills.size(); x++){
			a+="  "+skills.get(x).toString();}
		return a;}
		
	}