import java.awt.*;
import javax.swing.*;

public class BasicGUI extends JPanel{
	
	JPanel left, right;
	JTextField nameField,speedField,defenseField,meleeField,rangedField;
	JTextField str,dex,con,intg,wis,cha;
	
	public BasicGUI(){
		super();
		
		build();
	}
	
	private void build(){
		left=new JPanel();
		left.setLayout(new GridLayout(6,2));
		
		left.add(new JLabel("Name"));
		nameField=new JTextField();
		left.add(nameField);
		
		left.add(new JLabel("Speed"));
		speedField=new JTextField();
		left.add(speedField);
		
		left.add(new JLabel("Class Def Bonus"));
		defenseField=new JTextField();
		left.add(defenseField);
		
		left.add(new JLabel("Melee Bonus"));
		meleeField=new JTextField();
		left.add(meleeField);
		
		left.add(new JLabel("Ranged Bonus"));
		rangedField=new JTextField();
		left.add(rangedField);
		
		right=new JPanel();
		right.setLayout(new GridLayout(6,2));
		
		right.add(new JLabel("Strength"));
		str=new JTextField();
		right.add(str);
		
		right.add(new JLabel("Dexterity"));
		dex=new JTextField();
		right.add(dex);
		
		right.add(new JLabel("Constitution"));
		con=new JTextField();
		right.add(con);
		
		right.add(new JLabel("Intelligence"));
		intg=new JTextField();
		right.add(intg);
		
		right.add(new JLabel("Wisdom"));
		wis=new JTextField();
		right.add(wis);
		
		right.add(new JLabel("Charisma"));
		cha=new JTextField();
		right.add(cha);
		
		add(left);
		add(right);
	}
	
	public void clear(){
		removeAll();
		build();
	}
	
	public int[] getAbilityScores(){
		int[] temp=new int[6];
		temp[0]=Integer.parseInt(str.getText());
		temp[1]=Integer.parseInt(dex.getText());
		temp[2]=Integer.parseInt(con.getText());
		temp[3]=Integer.parseInt(intg.getText());
		temp[4]=Integer.parseInt(wis.getText());
		temp[5]=Integer.parseInt(cha.getText());
		
		return temp;
	}
	
	public int getSpeed(){
		return Integer.parseInt(speedField.getText());
	}
	
	public int getDefense(){
		return Integer.parseInt(defenseField.getText());
	}
	
	public int getMelee(){
		return Integer.parseInt(meleeField.getText());
	}
	
	public int getRanged(){
		return Integer.parseInt(rangedField.getText());
	}
	
	public String getName(){
		return nameField.getText();
	}
		
}